/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import umgnotas.eis.dao.*;
import umgnotas.eis.factory.*;
import umgnotas.eis.exceptions.*;
import java.io.Serializable;
import java.util.*;
import java.util.Date;

public class TbEstudiante implements Serializable
{
	/** 
	 * This attribute maps to the column est_carne in the tb_estudiante table.
	 */
	protected String estCarne;

	/** 
	 * This attribute maps to the column est_primer_nombre in the tb_estudiante table.
	 */
	protected String estPrimerNombre;

	/** 
	 * This attribute maps to the column est_segundo_nombre in the tb_estudiante table.
	 */
	protected String estSegundoNombre;

	/** 
	 * This attribute maps to the column est_primer_apellido in the tb_estudiante table.
	 */
	protected String estPrimerApellido;

	/** 
	 * This attribute maps to the column est_segundo_apellido in the tb_estudiante table.
	 */
	protected String estSegundoApellido;

	/** 
	 * This attribute maps to the column est_fecha_nacimiento in the tb_estudiante table.
	 */
	protected Date estFechaNacimiento;

	/** 
	 * This attribute maps to the column est_sexo in the tb_estudiante table.
	 */
	protected String estSexo;

	protected String estTelefono;

	/** 
	 * This attribute maps to the column est_estado in the tb_estudiante table.
	 */
	protected String estEstado;

	/** 
	 * This attribute maps to the column est_fecha_ingreso in the tb_estudiante table.
	 */
	protected Date estFechaIngreso;

	/** 
	 * This attribute maps to the column est_usu_ingreso in the tb_estudiante table.
	 */
	protected String estUsuIngreso;

	/** 
	 * This attribute maps to the column est_sed_codigo in the tb_estudiante table.
	 */
	protected Integer estSedCodigo;

	/**
	 * Method 'TbEstudiante'
	 * 
	 */
	public TbEstudiante()
	{
	}




	/**
	 * Method 'createPk'
	 * 
	 * @return TbEstudiantePk
	 */
	public TbEstudiantePk createPk()
	{
		return new TbEstudiantePk(estCarne);
	}

	public String getEstCarne() {
		return estCarne;
	}

	public void setEstCarne(String estCarne) {
		this.estCarne = estCarne;
	}

	public String getEstPrimerNombre() {
		return estPrimerNombre;
	}

	public void setEstPrimerNombre(String estPrimerNombre) {
		this.estPrimerNombre = estPrimerNombre;
	}

	public String getEstSegundoNombre() {
		return estSegundoNombre;
	}

	public void setEstSegundoNombre(String estSegundoNombre) {
		this.estSegundoNombre = estSegundoNombre;
	}

	public String getEstPrimerApellido() {
		return estPrimerApellido;
	}

	public void setEstPrimerApellido(String estPrimerApellido) {
		this.estPrimerApellido = estPrimerApellido;
	}

	public String getEstSegundoApellido() {
		return estSegundoApellido;
	}

	public void setEstSegundoApellido(String estSegundoApellido) {
		this.estSegundoApellido = estSegundoApellido;
	}

	public Date getEstFechaNacimiento() {
		return estFechaNacimiento;
	}

	public void setEstFechaNacimiento(Date estFechaNacimiento) {
		this.estFechaNacimiento = estFechaNacimiento;
	}

	public String getEstSexo() {
		return estSexo;
	}

	public void setEstSexo(String estSexo) {
		this.estSexo = estSexo;
	}

	public String getEstTelefono() {
		return estTelefono;
	}

	public void setEstTelefono(String estTelefono) {
		this.estTelefono = estTelefono;
	}

	public String getEstEstado() {
		return estEstado;
	}

	public void setEstEstado(String estEstado) {
		this.estEstado = estEstado;
	}

	public Date getEstFechaIngreso() {
		return estFechaIngreso;
	}

	public void setEstFechaIngreso(Date estFechaIngreso) {
		this.estFechaIngreso = estFechaIngreso;
	}

	public String getEstUsuIngreso() {
		return estUsuIngreso;
	}

	public void setEstUsuIngreso(String estUsuIngreso) {
		this.estUsuIngreso = estUsuIngreso;
	}

	public Integer getEstSedCodigo() {
		return estSedCodigo;
	}

	public void setEstSedCodigo(Integer estSedCodigo) {
		this.estSedCodigo = estSedCodigo;
	}

	@Override
	public String toString() {
		return "Carné: " + estCarne + "\n" +
				"Primer Nombre: " + estPrimerNombre + "\n" +
				"Segundo Nombre: " + estSegundoNombre + "\n" +
				"Primer Apellido: " + estPrimerApellido + "\n" +
				"Segundo Apellido: " + estSegundoApellido + "\n" +
				"Fecha Nacimiento: " + estFechaNacimiento + "\n" +
				"Sexo: " + estSexo + "\n" +
				"Telefono: " + estTelefono + "\n" +
				"Estado: " + estEstado + "\n" +
				"FechaIngreso: " + estFechaIngreso + "\n" +
				"Usuario Ingreso: " + estUsuIngreso + "\n" +
				"Sede Codigo: " + estSedCodigo;
	}
}
